:root {
    --primary: #e99401;
    --negro: #262626;
    --blanco: #FFF;
    --fuente-principal: 'Outfit', sans-serif;
}
html {
    font-size: 62.5%;
    box-sizing: border-box;
}
*, *:before, *:after {
    box-sizing: inherit;
}
body {
    font-size: 2rem;
    font-family: var(--fuente-principal);
    line-height: 1.5;
}
img {
    max-width: 100%;
}

[class*="__contenedor"]{
    max-width: 120rem;
    margin: 0 auto;
    width: 95%;
}

[class*="__heading"]{
   font-size: 4rem;
   text-align: center;
   font-weight: 900;
   color: var(--primary);
   margin: 5rem 0;
}

/* header */

.header{
    background-image: linear-gradient(to right, rgb(0 0 0/ .7), rgb(0 0 0 / .7)), url(../img/header.jpg);
    background-position: 50%;
    background-size: cover;
    padding: 5rem 0;
    position: relative;
}

.header__guitarra{
    display: none;
}
@media (min-width: 992px) { 
    .header__guitarra{
        display: block;
        position: absolute;
        right: 0;
        bottom: 0;
        opacity: 0;
        animation-name: mostrarGuitarra;
        animation-duration: 2s;
        animation-delay:  0s;
        animation-timing-function: ease-in-out;
        animation-iteration-count: 1;
    }
}

/* Defininiendo animacion de guitarra */

@keyframes mostrarGuitarra {
    0%{
        opacity: 0;
        transform: translateX(-10rem);
    }
    50%{
        opacity: 0;
    }
    100%{
        opacity: 1;
        transform: translateX(0rem);
    }
}

.header__barra{
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 768px) { 
    .header__barra{
        flex-direction: row;
        justify-content: space-between;
    }
}
.header__logo{
    width: 30rem;
}


/* navegacion */

.navegacion{
    display: flex;
    gap: 2rem;
    margin-top: 5rem;
    position: relative;
    z-index: 1;
}
@media (min-width: 768px) { 
    .navegacion{
        margin-top: 0;
    }
}

.navegacion__enlace{
    color: var(--blanco);
    text-decoration: none;
    text-transform: uppercase;
    padding: .5rem;
    font-size:1.4rem;
    font-weight: 700;
    transition-property: background-color;
    transition-duration: .3s
}
.navegacion__enlace:hover{
    background-color: var(--primary);
}

/* Modelo */

.modelo{
    margin-top: 5rem;
    color: var(--blanco);
    text-align: center;
}
@media (min-width: 768px) { 
    .modelo{
        text-align: left;
        width: 50%;
    }
}

.modelo__nombre{
    font-size: 8rem;
}


.modelo__precio{
    font-size: 6rem;
    color: var(--primary);
    font-weight: 900;
    line-height: 0;
}

.modelo__enlace{
    margin-top: 2rem;
    text-decoration: none;
    padding: 1rem 5rem;
    border: 2px solid var(--primary);
    color: var(--blanco);
    text-transform: uppercase;
    font-weight: 700;
    font-size: 1.4rem;
    transition-property: background-color;
    transition-duration: .3s
    
}

.modelo__enlace:hover{
    background-color: var(--primary);    
}


/* Productos */

.productos__grid{
    display: grid;
    gap: 4rem;
}
@media (min-width: 768px) { 
    .productos__grid{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1200px) { 
    .productos__grid{
        grid-template-columns: repeat(3, 1fr);
    }
}

.producto{
    display: grid;
    grid-template-columns: 2fr 3fr;
    column-gap: 1rem;
    align-items: center;
}

.producto__nombre{
    font-size: 3rem;
    text-transform: uppercase;
}

.producto__descripcion{
    font-size: 1.6rem;
}

.producto__precio{
    color: var(--primary);
    font-size: 6rem;
    font-weight:900;
    margin: 0;
}

.producto__enlace{
    margin-top: 2rem;
    display: block;
    text-decoration: none;
    color: var(--negro);
    padding: 1rem 5rem;
    border: 2px solid var(--primary);
    text-align: center;
    font-size:1.2rem;
    font-weight: 900;
    text-transform: uppercase;
    transition-property: background-color;
    transition-duration: .3s
}
.producto__enlace:hover{
background-color: var(--primary);
color: var(--blanco);
}

.producto__formulario{
    display: flex;
    flex-direction: column;
}

.producto__label{
    font-size: 2.2rem;
    margin-right: 1rem;
}

.producto__cantidad{
    border: 2px solid var(--primary);
    padding: 1rem;
    text-align: center;
}
.producto__cantidad:focus-visible {
    outline: 2px solid var(--primary);
    border: none;
}

.producto__agregar-carrito{
    margin-top: 4rem;
    display: block;
    background-color: var(--primary);
    text-decoration: none;
    text-transform: none;
    border: none;
    text-align: center;
    padding:2rem 5rem;
    color: var(--blanco);
    font-size: 1.8rem;
    font-weight:700;
    transition-property: background-color;
    transition-duration: .3s;
}
.producto__agregar-carrito:hover{
    background-color: var(--negro);
    cursor: pointer;
}
/* cursos */

.cursos{
    background-image:  linear-gradient(to right, rgb(0 0 0 / .65), rgb(0 0 0 / .65)), url(../img/cursos_bg.jpg);
    padding: 10rem 0;
    margin-top:10rem;
    background-size: cover;
    background-position: 50%;
}
@media (min-width: 768px) { 
    .cursos__grid{
        display:grid;
        grid-template-columns: repeat(2,1fr);
        column-gap: 2rem;
    }
}
.cursos__contenido{
    display: flex;
    flex-direction: column;
    align-items: center;
}
@media (min-width: 768px) { 
    .cursos__contenido{
        grid-column: 2/3;
    }
}
.cursos__texto{
    color: var(--blanco);
    text-align: center;
    font-size: 2.4rem
}

.cursos__enlace{
    margin-top: 2rem;
    text-decoration: none;
    color: var(--blanco);
    display: inline-block;

    padding: 1rem 5rem;
    border: 2px solid var(--primary);
    text-align: center;
    font-size:1.4rem;
    font-weight: 700;
    text-transform: uppercase;
    transition-property: background-color;
    transition-duration: .3s
}

.cursos__enlace:hover{
    background-color: var(--primary);
    color: var(--blanco);
}

/* Blog */

.blog__grid{
    display: grid;
    gap: 4rem;
}
@media (min-width: 768px) { 
    .blog__grid{
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (min-width: 992px) { 
    .blog__grid{
        grid-template-columns: repeat(4, 1fr);
    }
    .blog__grid--pagina{
        grid-template-columns: repeat(3, 1fr);
    }
}

.entrada{
    max-width: 80rem;
    margin:  0 auto;
}
.entrada__contenido{
    padding: 2rem;
}
.entrada__titulo{
    font-weight: 400;
    font-size: 2.8rem;
    margin: 0;
    line-height: 1.2;
}

.entrada__fecha{
    font-size: 1.6rem;
    color: var(--primary);
}

.entrada__enlace{
    margin-top: 2rem;
    text-decoration: none;
    color: var(--negro);
    display: inline-block;

    padding: 1rem 5rem;
    border: 2px solid var(--primary);
    text-align: center;
    font-size:1.4rem;
    font-weight: 700;
    text-transform: uppercase;
    transition-property: background-color;
    transition-duration: .3s
}

.entrada__enlace:hover{
    background-color: var(--primary);
    color: var(--blanco);
}

/* Ocultar lineas con css*/
.entrada__texto{
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5; /* lineas a ocultar */
    overflow: hidden;
    font-size: 1.6rem;
}

/* footer */

.footer{
    margin-top:5rem;
    background-color: var(--negro);
    padding: 5rem 0;
}
@media (min-width: 768px) { 
    .footer__contenido{
        display: flex;
        justify-content: space-between;
    }
}
.footer__nav{
    display: flex;
    flex-direction: column;
    align-items: center;
}
@media (min-width: 768px) { 
    .footer__nav{
        
        flex-direction: row;
        gap: 2rem;
    }
}
.footer__enlace{
    font-size: 1.8rem;
    color: var(--blanco);
    text-decoration: none;
    font-weight: 700;
}
.footer__enlace:hover{
    color: var(--primary);
}

.footer__copyright{
font-size: 1.8rem;
color: var(--blanco);
font-weight: 700;
text-align: center;
}


/* nosotros */

.nosotros__grid{
    display: grid;
    gap: 4rem;
}

@media (min-width: 768px) { 
    .nosotros__grid{
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    }
}